OP Inference
API reference

Get a model

GET
/v1/models/{id}

One model, including the inputs a media model accepts. Model ids contain a slash, which is part of the path.

Authorization

bearerAuth
headerAuthorizationBearer <token>

Your API key, sent as Authorization: Bearer <key>.

Path Parameters

id*string

The model id, in author/slug form.

Response Body

The model.

application/json
  1. response
id*string
object*string
created*integer
owned_by*string
modality*string
Value in"text""embeddings""image""video""audio_tts""audio_stt""music"
pricing*
inputs?

For a media model, each input it accepts.

curl -X GET "https://example.com/v1/models/openai/gpt-oss-120b" \  -H "Authorization: Bearer $OP_API_KEY"
{  "id": "string",  "object": "model",  "created": 0,  "owned_by": "string",  "modality": "text",  "pricing": {    "price_version": "string",    "currency": "string",    "rules": [      {}    ]  },  "inputs": {}}